OFB_Mode< CIPHER > Struct Template Reference

OFB mode. More...

`#include <modes.h>`

Inheritance diagram for OFB_Mode< CIPHER >:

## Public Types

typedef CipherModeFinalTemplate_CipherHolder < typename CIPHER::Encryption, ConcretePolicyHolder< Empty, AdditiveCipherTemplate < AbstractPolicyHolder < AdditiveCipherAbstractPolicy, OFB_ModePolicy > > > > | Encryption
typedef Encryption | Decryption

## Detailed Description

### template<class CIPHER>
struct OFB_Mode< CIPHER >

OFB mode.

Definition at line 329 of file modes.h.

The documentation for this struct was generated from the following file:

- modes.h